Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class NamedNodeMapImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NamedNodeMapImpl

All Implemented Interfaces:
  NamedNodeMap, Serializable

Direct Known Subclasses:
  AttributeMap

Deprecated. please use JDK supplied XML parsers and transformers

public class NamedNodeMapImpl
extends Object
implements NamedNodeMap, Serializable

NamedNodeMaps represent collections of Nodes that can be accessed by name. Entity and Notation nodes are stored in NamedNodeMaps attached to the DocumentType. Attributes are placed in a NamedNodeMap attached to the elem they're related too. However, because attributes require more work, such as firing mutation events, they are stored in a subclass of NamedNodeMapImpl.

Only one Node may be stored per name; attempting to store another will replace the previous value.

NOTE: The "primary" storage key is taken from the NodeName attribute of the node. The "secondary" storage key is the namespaceURI and localName, when accessed by DOM level 2 nodes. All nodes, even DOM Level 2 nodes are stored in a single Vector sorted by the primary "nodename" key.

NOTE: item()'s integer index does _not_ imply that the named nodes must be stored in an array; that's only an access method. Note too that these indices are "live"; if someone changes the map's contents, the indices associated with nodes may change.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary
`protected static short` | `CHANGED` Deprecated.
`protected short` | `flags` Deprecated.
`protected static short` | `HASDEFAULTS` Deprecated.
`protected Vector` | `nodes` Deprecated. Nodes.
`protected NodeImpl` | `ownerNode` Deprecated.
`protected static short` | `READONLY` Deprecated.

Constructor Summary
`protected` | `NamedNodeMapImpl(NodeImpl ownerNode)` Deprecated. Constructs a named node map.

Method Summary
`protected int` | `addItem(Node arg)` Deprecated.
`protected void` | `cloneContent(NamedNodeMapImpl srcmap)` Deprecated.
`NamedNodeMapImpl` | `cloneMap(NodeImpl ownerNode)` Deprecated. Cloning a NamedNodeMap is a DEEP OPERATION; it always clones all the nodes contained in the map.
`protected Vector` | `cloneMap(Vector list)` Deprecated. NON-DOM: copy content of this map into the specified vector
`protected int` | `findNamePoint(String name, int start)` Deprecated. Subroutine: Locate the named item, or the point at which said item should be added.
`protected int` | `findNamePoint(String namespaceURI, String name)` Deprecated. This findNamePoint is for DOM Level 2 Namespaces.
`protected Object` | `getItem(int index)` Deprecated.
`int` | `getLength()` Deprecated. Report how many nodes are currently stored in this NamedNodeMap.
`Node` | `getNamedItem(String name)` Deprecated. Retrieve a node by name.
`Node` | `getNamedItemNS(String namespaceURI, String localName)` Deprecated. Introduced in DOM Level 2.
`Node` | `item(int index)` Deprecated. Retrieve an item from the map by 0-based index.
`void` | `removeAll()` Deprecated. NON-DOM remove all elements from this map
`protected void` | `removeItem(int index)` Deprecated. NON-DOM: Remove attribute at specified index
`Node` | `removeNamedItem(String name)` Deprecated.
`Node` | `removeNamedItemNS(String namespaceURI, String name)` Deprecated. Introduced in DOM Level 2.
`Node` | `setNamedItem(Node arg)` Deprecated. Adds a node using its nodeName attribute.
`Node` | `setNamedItemNS(Node arg)` Deprecated. Adds a node using its namespaceURI and localName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANGED

    protected static final short CHANGED

  Deprecated.
  See Also:
    Constant Field Values

### flags

    protected short flags

  Deprecated.

### HASDEFAULTS

    protected static final short HASDEFAULTS

  Deprecated.
  See Also:
    Constant Field Values

### nodes

    protected Vector nodes

  Deprecated.
  Nodes.

### ownerNode

    protected NodeImpl ownerNode

  Deprecated.

### READONLY

    protected static final short READONLY

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### NamedNodeMapImpl

    protected NamedNodeMapImpl(NodeImpl ownerNode)

  Deprecated.
  Constructs a named node map.

Method Detail

### addItem

    protected int addItem(Node arg)

  Deprecated.

### cloneContent

    protected void cloneContent(NamedNodeMapImpl srcmap)

  Deprecated.

### cloneMap

    public NamedNodeMapImpl cloneMap(NodeImpl ownerNode)

  Deprecated.
  Cloning a NamedNodeMap is a DEEP OPERATION; it always clones all the nodes contained in the map.

### cloneMap

    protected Vector cloneMap(Vector list)

  Deprecated.
  NON-DOM: copy content of this map into the specified vector

  Parameters:
    `list` - Vector to copy information into.
  Returns:
    A copy of this node named map

### findNamePoint

    protected int findNamePoint(String name,
                                int start)

  Deprecated.
  Subroutine: Locate the named item, or the point at which said item should be added.

  Parameters:
    `name` - Name of a node to look up.
  Returns:
    If positive or zero, the index of the found item. If negative, index of the appropriate point at which to insert the item, encoded as -1-index and hence reconvertable by subtracting it from -1. (Encoding because I don't want to recompare the strings but don't want to burn bytes on a datatype to hold a flagged value.)

### findNamePoint

    protected int findNamePoint(String namespaceURI,
                                String name)

  Deprecated.
  This findNamePoint is for DOM Level 2 Namespaces.

### getItem

    protected Object getItem(int index)

  Deprecated.

### getLength

    public int getLength()

  Deprecated.
  Report how many nodes are currently stored in this NamedNodeMap. Caveat: This is a count rather than an index, so the highest-numbered node at any time can be accessed via item(getLength()-1).

  Specified by:
    `getLength` in interface `NamedNodeMap`

### getNamedItem

    public Node getNamedItem(String name)

  Deprecated.
  Retrieve a node by name.

  Specified by:
    `getNamedItem` in interface `NamedNodeMap`
  Parameters:
    `name` - Name of a node to look up.

### getNamedItemNS

    public Node getNamedItemNS(String namespaceURI,
                               String localName)

  Deprecated.
  Introduced in DOM Level 2.

  Retrieves a node specified by local name and namespace URI.

  Specified by:
    `getNamedItemNS` in interface `NamedNodeMap`
  Parameters:
    `namespaceURI` - The namespace URI of the node to retrieve. When it is null or an empty string, this method behaves like getNamedItem.
    `localName` - The local name of the node to retrieve.
  Returns:
    Node A Node (of any type) with the specified name, or null if the specified name did not identify any node in the map.

### item

    public Node item(int index)

  Deprecated.
  Retrieve an item from the map by 0-based index.

  Specified by:
    `item` in interface `NamedNodeMap`
  Parameters:
    `index` - Which item to retrieve. Note that indices are just an enumeration of the current contents; they aren't guaranteed to be stable, nor do they imply any promises about the order of the NamedNodeMap's contents. In other words, DO NOT assume either that index(i) will always refer to the same entry, or that there is any stable ordering of entries... and be prepared for double-reporting or skips as insertion and deletion occur.

### removeAll

    public void removeAll()

  Deprecated.
  NON-DOM remove all elements from this map

### removeItem

    protected void removeItem(int index)

  Deprecated.
  NON-DOM: Remove attribute at specified index

### removeNamedItem

    public Node removeNamedItem(String name)
                         throws DOMException

  Deprecated.
  Specified by:
    `removeNamedItem` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### removeNamedItemNS

    public Node removeNamedItemNS(String namespaceURI,
                                  String name)
                           throws DOMException

  Deprecated.
  Introduced in DOM Level 2.

  Removes a node specified by local name and namespace URI.

  Specified by:
    `removeNamedItemNS` in interface `NamedNodeMap`
  Parameters:
    `namespaceURI` - The namespace URI of the node to remove. When it is null or an empty string, this method behaves like removeNamedItem.
  Returns:
    Node The node removed from the map if a node with such a local name and namespace URI exists.
  Throws:
    `NOT_FOUND_ERR:` - Raised if there is no node named name in the map.
    `DOMException`

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Deprecated.
  Adds a node using its nodeName attribute. As the nodeName attribute is used to derive the name which the node must be stored under, multiple nodes of certain types (those that have a "special" string value) cannot be stored as the names would clash. This is seen as preferable to allowing nodes to be aliased.

  Specified by:
    `setNamedItem` in interface `NamedNodeMap`
  Parameters:
    `arg` - A node to store in a named node map. The node will later be accessible using the value of the namespaceURI and localName attribute of the node. If a node with those namespace URI and local name is already present in the map, it is replaced by the new one.
  Returns:
    If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned.
  Throws:
    `DOMException` - The exception description.
  See Also:
    `NamedNodeMap.setNamedItem(org.w3c.dom.Node)`

### setNamedItemNS

    public Node setNamedItemNS(Node arg)
                        throws DOMException

  Deprecated.
  Adds a node using its namespaceURI and localName.

  Specified by:
    `setNamedItemNS` in interface `NamedNodeMap`
  Parameters:
    `arg` - A node to store in a named node map. The node will later be accessible using the value of the namespaceURI and localName attribute of the node. If a node with those namespace URI and local name is already present in the map, it is replaced by the new one.
  Returns:
    If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned.
  Throws:
    `DOMException`
  See Also:
    `NamedNodeMap.setNamedItem(org.w3c.dom.Node)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD